package com.galaxis.soap.wms.obj;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DT_KUNNR_IN_21_ITEM {

    //行状态
    private String item_status;
    //订单号
    private String order_number;
    //订单行号
    private String order_item_number;
    //工厂
    private String factory;
    //库存地点
    private String storage_location;
    //商品编码
    private String material_number;
    //商品名称
    private String material_name;
    //商品描述
    private String material_desc;
    //商品规格
    private String material_spec;
    //商品组
    private String material_group;
    //商品组名称
    private String material_group_name;
    //退货数量
    private String return_qty;
    //商品分类
    private String cate_code;
    //实收数量
    private String real_receive_quantity;
    //商品分类名称
    private String cate_name;
    //需求日期
    private Date require_date;
    //订单数量
    private BigDecimal quantity;
    //采购单位
    private String purchase_unit;
    //检验类型
    private String check_type;
    //是否有效
    private String is_validate;
    //是否质检
    private String is_check_quality;
    //含税价
    private BigDecimal price;
    //净价
    private BigDecimal net_price;
    //税码
    private String tax_code;
    //税率
    private String tax_rate;
    //发货数量
    private BigDecimal delivery_quantity;
    //剩余收货数量
    private BigDecimal remain_quantity;
    //收货数量
    private BigDecimal receive_quantity;
    //批次号
    private String batch_number;
    //本次收货数量
    private BigDecimal receive_quantity_now;
    //生产日期
    private Date production_date;
    //取样量
    private BigDecimal sample_qty;
    //来源类型
    private String source_type;
    //来源单号
    private String source_number;
    //来源单行号
    private String source_item_number;
    //本次实际收货时间
    private Date receipt_end_time;
    //需方备注
    private String purchase_remark;
    //供方备注
    private String supplier_remark;
    //有效日期
    private Date effective_date;
}
